UI
상속: System.Windows.Forms.Form
예제 #1
0
        /// <summary>
        /// run this sample now
        /// </summary>
        public void Run()
        {
            try
            {
                //if initialize failed return Result.Failed
                bool initializeOK = Initialize();
                if (!initializeOK)
                {
                    MessageBox.Show("Failed to start this sample!");
                    return;
                }

                using (CreateBeamsColumnsBracesForm displayForm = new CreateBeamsColumnsBracesForm(this))
                {
                    displayForm.ShowDialog();
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
예제 #2
0
        /// <summary>
        /// Implement this method as an external command for Revit.
        /// </summary>
        /// <param name="revit">An object that is passed to the external application
        /// which contains data related to the command,
        /// such as the application object and active view.</param>
        /// <param name="message">A message that can be set by the external application
        /// which will be displayed if a failure or cancellation is returned by
        /// the external command.</param>
        /// <param name="elements">A set of elements to which the external application
        /// can add elements that are to be highlighted in case of failure or cancellation.</param>
        /// <returns>Return the status of the external command.
        /// A result of Succeeded means that the API external method functioned as expected.
        /// Cancelled can be used to signify that the user cancelled the external operation
        /// at some point. Failure should be returned if the application is unable to proceed with
        /// the operation.</returns>
        public Autodesk.Revit.UI.Result Execute(Autodesk.Revit.UI.ExternalCommandData revit, ref string message, Autodesk.Revit.DB.ElementSet elements)
        {
            m_revit = revit.Application;
            Transaction tran = new Transaction(m_revit.ActiveUIDocument.Document, "CreateBeamsColumnsBraces");

            tran.Start();

            try
            {
                //if initialize failed return Result.Failed
                bool initializeOK = Initialize();
                if (!initializeOK)
                {
                    tran.RollBack();
                    return(Autodesk.Revit.UI.Result.Failed);
                }

                using (CreateBeamsColumnsBracesForm displayForm = new CreateBeamsColumnsBracesForm(this))
                {
                    if (displayForm.ShowDialog() != DialogResult.OK)
                    {
                        tran.RollBack();
                        return(Autodesk.Revit.UI.Result.Cancelled);
                    }
                }

                tran.Commit();
                return(Autodesk.Revit.UI.Result.Succeeded);
            }
            catch (Exception ex)
            {
                message = ex.Message;
                tran.RollBack();
                return(Autodesk.Revit.UI.Result.Failed);
            }
        }
예제 #3
0
        /// <summary>
        /// Implement this method as an external command for Revit.
        /// </summary>
        /// <param name="revit">An object that is passed to the external application 
        /// which contains data related to the command, 
        /// such as the application object and active view.</param>
        /// <param name="message">A message that can be set by the external application 
        /// which will be displayed if a failure or cancellation is returned by 
        /// the external command.</param>
        /// <param name="elements">A set of elements to which the external application 
        /// can add elements that are to be highlighted in case of failure or cancellation.</param>
        /// <returns>Return the status of the external command. 
        /// A result of Succeeded means that the API external method functioned as expected. 
        /// Cancelled can be used to signify that the user cancelled the external operation 
        /// at some point. Failure should be returned if the application is unable to proceed with 
        /// the operation.</returns>
        public Autodesk.Revit.UI.Result Execute(Autodesk.Revit.UI.ExternalCommandData revit, ref string message, Autodesk.Revit.DB.ElementSet elements)
        {
            m_revit = revit.Application;
             Transaction tran = new Transaction(m_revit.ActiveUIDocument.Document, "CreateBeamsColumnsBraces");
             tran.Start();

             try
             {
            //if initialize failed return Result.Failed
            bool initializeOK = Initialize();
            if (!initializeOK)
            {
               tran.RollBack();
               return Autodesk.Revit.UI.Result.Failed;
            }

            using (CreateBeamsColumnsBracesForm displayForm = new CreateBeamsColumnsBracesForm(this))
            {
               if (displayForm.ShowDialog() != DialogResult.OK)
               {
                  tran.RollBack();
                  return Autodesk.Revit.UI.Result.Cancelled;
               }
            }

            tran.Commit();
            return Autodesk.Revit.UI.Result.Succeeded;
             }
             catch(Exception ex)
             {
            message = ex.Message;
            tran.RollBack();
            return Autodesk.Revit.UI.Result.Failed;
             }
        }